Create a User
/v1/usersCreate a user.
- USER_CREATE_START
- USER_CREATE_SUCCESS
- USER_CREATE_FAIL
Roles
Authorization
bearerAuth In: header
Request Body
application/json
Create a User
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/users" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "0c3fad74-a8df-4a2d-8e75-f2d356b413ba", "claims": { "externalUserId": "0c3fad74-a8df-4a2d-8e75-f2d356b413ba" }, "claimSets": { "707e920a-f342-443b-ae24-6946b7b5033e": { "claim-set-id-1": { "givenName": "Alice" }, "claim-set-id-2": { "givenName": "Bob" } } }, "authenticationProvider": { "providerId": "41458e5a-9092-40b7-9a26-d4eb43c5792f", "url": "https://example-university.au.auth0.com", "subjectId": "example-university-oauth2|123456789" }}How would you rate this page?